Bug 1025657 - [Cases] Python error page is shown if input full-width characters in 'Default Tester' when add/edit a case.
[Cases] Python error page is shown if input full-width characters in 'Default...
Status: VERIFIED
Product: TCMS
Classification: Other
Component: Application (Show other bugs)
3.8.5
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Yang Ren
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-01 04:22 EDT by Chen Chen
Modified: 2016-05-26 09:30 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Python error page is shown (148.85 KB, image/png)
2013-11-01 04:22 EDT, Chen Chen
no flags Details
Database Error page (188.66 KB, image/jpeg)
2013-12-23 02:13 EST, yangqiu
no flags Details

  None (edit)
Description Chen Chen 2013-11-01 04:22:48 EDT
Created attachment 818175 [details]
Python error page is shown

Description of problem:
Python error page is shown if input full-width characters in 'Default Tester' when add/edit a case. See snapshot in attachment.

Version-Release number of selected component (if applicable):
3.8.5

How reproducible:
100%

Steps to Reproduce:
1.Add/edit a case.
2.input full-width characters in 'Default Tester', click 'Save'.

Actual results:
2.Python error page is shown.

Expected results:
2.Not allow user to type full-width characters or popup warning, what ever just not show the Python error page.
Comment 1 Chen Chen 2013-11-10 22:10:07 EST
Verify version 3.8.5 on qa server --> FAIL

Verify steps are the same as Description.
Comment 3 cqi 2013-12-12 22:40:44 EST
This has been fixed. In production server, the problem does not happen again.
Comment 4 yangqiu 2013-12-23 02:11:55 EST
Verify the bug in version 3.8.6 on devel server.--->Fail

Steps to verify:
1.Add/edit a case.
2.input Chinese characters in 'Default Tester', like: 测试, click 'Save'.

Actual results:
2.Database Error page is shown.

Expected results:
2.Not allow user to input Chinese characters or popup warning, what ever just not show the Database Error page.
Comment 5 yangqiu 2013-12-23 02:13:19 EST
Created attachment 840692 [details]
Database Error page
Comment 6 yangqiu 2013-12-27 05:46:27 EST
Verify the bug in version 3.8.6 on qa server.--->PASS

Verify steps as Description.

Note You need to log in before you can comment on or make changes to this bug.